public class Question4 {
    public static int ackermann(int m, int n) {
        if(m == 0) {
            return n+1;
        } else if(m > 0 && n == 0) {
            return ackermann(m-1, 1);
        } else {
            return ackermann(m-1, ackermann(m, n-1));
        }
    }

    public static String[] directFlights(String airport) {
        // this method is given to you; you don't need to implement it, but
        // it's implemented  here so the answer will compile and run
        switch(airport) {
            case "GOT": return new String[] {"ARN", "HEL", "FRA"};
            case "ARN": return new String[] {"HEL", "FRA"};
            case "FRA": return new String[] {"CDG", "KIX"};
            case "CDG": return new String[] {"KIX"};
            default:    return new String[] {};
        }
    }

    public static String flightPlan(String from, String to) {
        if(from.equals(to)) {
            return from;
        }
        for(String current: directFlights(from)) {
            final String nextFlights = flightPlan(current, to);
            if(nextFlights != null) {
                return from + " " + nextFlights;
            }
        }
        return null;
    }
}
